aboutsummaryrefslogtreecommitdiffstats
path: root/magic.sh
diff options
context:
space:
mode:
authorcc4b05f61e2d8f77114750386c9f9a60 <cc4b05f61e2d8f7@7114750386c9f9a60>2023-05-11 14:38:47 +0000
committercc4b05f61e2d8f77114750386c9f9a60 <cc4b05f61e2d8f7@7114750386c9f9a60>2023-05-11 14:38:47 +0000
commitf5450bfd35a6410528d124f534c2b1a958cafe51 (patch)
treea808b12d6ad5343fabdec7b8918df6b4d844e03f /magic.sh
parent5ad2bb7a6ac7e97c031908d2439808a00fff6214 (diff)
downloaddmsdosnow-f5450bfd35a6410528d124f534c2b1a958cafe51.tar.gz
dmsdos-0.9.2.2 addeddmsdos-0.9.2.2
Diffstat (limited to 'magic.sh')
-rw-r--r--magic.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/magic.sh b/magic.sh
new file mode 100644
index 0000000..b1fd1ba
--- /dev/null
+++ b/magic.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+if [ ! -f /etc/magic ];
+then
+ echo "/etc/magic not found, skipped."
+ exit 0
+fi
+
+grep "CVF formats" /etc/magic > /dev/null
+if [ "$?" != "1" ];
+then
+ echo "/etc/magic contains already CVF magic numbers."
+ exit 0
+fi
+
+echo "If you want to make the command file(1) recognize CVFs the magic numbers"
+echo "can be added to the database /etc/magic automatically now."
+echo -n "Do you want me to do this ? (Y/N) "
+read ANS junk
+if [ "$ANS" = y -o "$ANS" = Y ];
+then
+ cat patches/magic >> /etc/magic
+fi
+
+exit 0